net.corda.core.testing

## Class GeneratorsKt

- net.corda.core.testing.GeneratorsKt

-     public class GeneratorsKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A> java.util.List<A>` | `generateList(com.pholser.junit.quickcheck.generator.Generator<A> $receiver, com.pholser.junit.quickcheck.random.SourceOfRandomness random, com.pholser.junit.quickcheck.generator.GenerationStatus status)` Generators for quickcheck

- - ### Method Detail

    - #### generateList

          public static <A> java.util.List<A> generateList(com.pholser.junit.quickcheck.generator.Generator<A> $receiver,
                                                           com.pholser.junit.quickcheck.random.SourceOfRandomness random,
                                                           com.pholser.junit.quickcheck.generator.GenerationStatus status)

      Generators for quickcheck

      TODO Split this into several files